> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8a08bda2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> The ClickHouse Playground allows people to experiment with ClickHouse by running queries instantly, without setting up their server or cluster.

# ClickHouse playground

[ClickHouse Playground](https://sql.clickhouse.com) allows people to experiment with ClickHouse by running queries instantly, without setting up their server or cluster.
Several example datasets are available in Playground.

You can make queries to Playground using any HTTP client, for example [curl](https://curl.haxx.se) or [wget](https://www.gnu.org/software/wget/), or set up a connection using [JDBC](/concepts/features/interfaces/jdbc) or [ODBC](/concepts/features/interfaces/odbc) drivers. More information about software products that support ClickHouse is available [here](/integrations/home).

<h2 id="credentials">
  Credentials
</h2>

| Parameter           | Value                              |
| :------------------ | :--------------------------------- |
| HTTPS endpoint      | `https://play.clickhouse.com:443/` |
| Native TCP endpoint | `play.clickhouse.com:9440`         |
| User                | `explorer` or `play`               |
| Password            | (empty)                            |

<h2 id="limitations">
  Limitations
</h2>

The queries are executed as a read-only user. It implies some limitations:

* DDL queries aren't allowed
* INSERT queries aren't allowed

The service also have quotas on its usage.

<h2 id="examples">
  Examples
</h2>

HTTPS endpoint example with `curl`:

```bash theme={null}
curl "https://play.clickhouse.com/?user=explorer" --data-binary "SELECT 'Play ClickHouse'"
```

TCP endpoint example with [CLI](/concepts/features/interfaces/cli):

```bash theme={null}
clickhouse client --secure --host play.clickhouse.com --user explorer
```

<h2 id="specifications">
  Playground specifications
</h2>

our ClickHouse Playground is running with the following specifications:

* Hosted on Google Cloud (GCE) in the US Central region (US-Central-1)
* 3-replica setup
* 256 GiB of storage and 59 virtual CPUs each.
